﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;


public class End : MonoBehaviour 
{
    public Text EndTxt;
    public Text NbEvents;
    public Text Comment;

	void Start () 
    {
        int endCondition = PlayerPrefs.GetInt("EndCondition");
        int eventsMissed = PlayerPrefs.GetInt("MissedEvents");
        int eventFixed = PlayerPrefs.GetInt("FixedEvents");
        string endStr = "";
        
        switch (endCondition)
        {
            case 0:
                endStr = "YOU LOSE ! :(";
                break;
            case 1:
                endStr = "YOU WIN !";
                break;
            case 2:
                endStr = "Game Over";
                break;
              
        }

        EndTxt.text = endStr;
        NbEvents.text = eventFixed.ToString() + " wtf situations fixed on 6";

        if (eventFixed < 2)
        {
            Comment.text = "Clearly you didn't know what to do !";
        }
        else if(eventFixed <= 4)
        {
            Comment.text = "You survived the wtfpocalypse ! Sometimes, you know what to do.";
        }
        else if (eventFixed < 6)
        {
            Comment.text = "What do we do when Cthulu spawns in your bathroom ? At least we know who to call !";
        }
	}
	
	
	void Update ()
    {
	
	}

    public void OnPlayClicked()
    {
        Application.LoadLevel("menu");
    }
}
