﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class SoundManager : MonoBehaviour 
{
    private AudioSource sound;
    private int currentTrack;

	void Start () 
    {
        PlayNewTrack();
	
	}
	
    public void PlayNewTrack()
    {
        int i = Random.Range(0, transform.childCount);
        Transform soundParent = transform.GetChild(i);
        sound = soundParent.GetComponent<AudioSource>();
        sound.Play();
    }

    void OnTriggerStay(Collider other)
    {
        if(Input.GetKeyUp(KeyCode.Space))
        {
            sound.Stop();
            PlayNewTrack();
        }
    }
}
