﻿using UnityEngine;
using System.Collections;

public class Event_Cthulu : Event 
{
    public GameObject cthulu;
    public GameObject bath;

    void Awake()
    {
        bath.SetActive(true);
        cthulu.SetActive(false);
    }

    public override void Activate()
    {
        base.Activate();
        bath.SetActive(false);
        cthulu.SetActive(true);
        cthulu.GetComponent<AudioSource>().Play();
        
    }

    public override void Fixed()
    {
        base.Fixed();
        bath.SetActive(true);
        cthulu.GetComponent<AudioSource>().Stop();
        cthulu.SetActive(false);
    }
}
